ASINH(3)

NAME
asinh, asinhf - inverse hyperbolic sine

SYNOPSIS

#include <math.h>

double asinh(double x);

float asinhf(float x);

DESCRIPTION

asinh calculates the inverse hyperbolic sine of x. asinh is defined as

     sgn(x) * log(abs(x) + sqrt(1+x*x))

asinhf is identical, other than taking and returning floats.

RETURNS

asinh and asinhf return the calculated value.

PORTABILITY

Neither asinh nor asinhf are ANSI C.